La sortie de PHP 7 a été annoncée en 2015 et depuis, cette nouvelle version « révolutionnaire » du langage de programmation se déploie très lentement chez les différents hébergeurs, notamment en France.

Un déploiement relativement lent de la nouvelle version de PHP

J’ai commencé à rédiger cet article au printemps 2016 et à l’époque, encore peu d’hébergeurs français proposaient déjà l’option Php 7.0, et force est de constater que même s’ils sont plus nombreux aujourd’hui, beaucoup sont encore à la traîne et surtout, peu le mettent en avant.

Pire même, certains hébergeurs vous permettent d’utiliser la version 7 de Php, mais vous devez vous débrouiller seul quant aux extensions à activer ou non et du coup, je suppose que vous êtes beaucoup à ne pas être passés à Php 7, faute de savoir le paramétrer.

Si vous êtes dans ce cas et que vous souhaitez bénéficier des avantages procurés par cette version, alors inscrivez-vous ci-dessous à ma lettre d’information et je vous fournirai la liste des extensions php à activer.

Liste des extensions PHP à activer pour PHP7

  • bcmath
  • dom
  • fileinfo
  • gd
  • imap
  • json
  • mbstring
  • mcrypt
  • msqli
  • mysqlnd
  • opcache
  • pdo
  • pdo_mysql
  • pdo_sqlite
  • pgsql
  • phar
  • posix
  • soap
  • sockets
  • tidy
  • xmlreader
  • xmlrpc
  • xmlwriter
  • xls
  • zip

Faut-il passer à PHP 7 sur votre hébergement ?

Maintenant, je vais tenter de répondre à la question soulevée par l’arrivée de Php 7 : faut-il mettre à niveau la version de Php utilisée sur votre hébergement ?

Pour commencer, il faut savoir que WordPress recommande ( voir ici) l’utilisation de PHP 7.0 pour ses dernières versions (4.7 et plus), alors si tout votre site est à jour (noyau, thème & extensions), il vous est conseillé de passer à cette version sans plus attendre.

Ensuite, dans la mesure ou Php 7 permet un sérieux gain de temps au niveau du chargement de vos pages web, ma réponse sera oui, cependant cela peut poser quelques problèmes, alors prenez vos précautions.

En effet, si vous ne faites pas les mises à jour régulières de votre WordPress, assurez-vous d’abord que la version que vous utilisez est compatible avec Php 7 ou votre site sera cassé.

De la même façon, il peut arriver que votre thème ou une extension installée sur votre site ne soit pas compatible et là aussi, votre site sera cassé.

Alors rassurez-vous, si vous constatez que vote site ne fonctionne plus correctement après être passé à Php 7, il vous suffira de remettre la précédente version de Php pour retrouver votre site fonctionnel.

Il ne faut donc pas avoir peur de passer à une version ultérieure de Php, mais il faut juste s’assurer ensuite que tout fonctionne correctement et si ce n’est pas le cas, avant de faire machine arrière, vérifiez que les extensions Php activées correspondent à celles nécessaires au bon fonctionnement de votre site (voir la liste ci-dessus).